# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- FormModalUiHandler
  - default

- Defined in src/ui/registration-form-ui-handler.ts:8

#####
Index

### Constructors

constructor

### Properties

active
buttonBgs
buttonContainers
cursor
editing
errorMessage
inputContainers
inputs
modalBg
modalContainer
mode
scene
submitAction
titleText

### Methods

clear
getButtonLabels
getButtonTopMargin
getCursor
getFields
getHeight
getMargin
getModalTitle
getReadableErrorMessage
getTextColor
getUi
getWidth
processInput
sanitizeInputs
setCursor
setup
show
updateContainer

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Inherited from FormModalUiHandler.constructor

  - Defined in src/ui/form-modal-ui-handler.ts:22

## Properties

### active

active: boolean = false

Inherited from FormModalUiHandler.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonBgs

buttonBgs: NineSlice[]

Inherited from FormModalUiHandler.buttonBgs

- Defined in src/ui/modal-ui-handler.ts:17

### `Protected` buttonContainers

buttonContainers: Container[]

Inherited from FormModalUiHandler.buttonContainers

- Defined in src/ui/modal-ui-handler.ts:16

### `Protected` cursor

cursor: number = 0

Inherited from FormModalUiHandler.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` editing

editing: boolean

Inherited from FormModalUiHandler.editing

- Defined in src/ui/form-modal-ui-handler.ts:16

### `Protected` errorMessage

errorMessage: Text

Inherited from FormModalUiHandler.errorMessage

- Defined in src/ui/form-modal-ui-handler.ts:19

### `Protected` inputContainers

inputContainers: Container[]

Inherited from FormModalUiHandler.inputContainers

- Defined in src/ui/form-modal-ui-handler.ts:17

### `Protected` inputs

inputs: InputText[]

Inherited from FormModalUiHandler.inputs

- Defined in src/ui/form-modal-ui-handler.ts:18

### `Protected` modalBg

modalBg: NineSlice

Inherited from FormModalUiHandler.modalBg

- Defined in src/ui/modal-ui-handler.ts:14

### `Protected` modalContainer

modalContainer: Container

Inherited from FormModalUiHandler.modalContainer

- Defined in src/ui/modal-ui-handler.ts:13

### `Protected` mode

mode: number

Inherited from FormModalUiHandler.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` scene

scene: default

Inherited from FormModalUiHandler.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` submitAction

submitAction: Function

Inherited from FormModalUiHandler.submitAction

- Defined in src/ui/form-modal-ui-handler.ts:20

### `Protected` titleText

titleText: Text

Inherited from FormModalUiHandler.titleText

- Defined in src/ui/modal-ui-handler.ts:15

## Methods

### clear

- clear(): void

- #### Returns void

  Inherited from FormModalUiHandler.clear

  - Defined in src/ui/form-modal-ui-handler.ts:138

### getButtonLabels

- getButtonLabels(config?): string[]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string[]

  Overrides FormModalUiHandler.getButtonLabels

  - Defined in src/ui/registration-form-ui-handler.ts:29

### getButtonTopMargin

- getButtonTopMargin(): number

- #### Returns number

  Overrides FormModalUiHandler.getButtonTopMargin

  - Defined in src/ui/registration-form-ui-handler.ts:25

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from FormModalUiHandler.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getFields

- getFields(config?): string[]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string[]

  Overrides FormModalUiHandler.getFields

  - Defined in src/ui/registration-form-ui-handler.ts:13

### getHeight

- getHeight(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  Inherited from FormModalUiHandler.getHeight

  - Defined in src/ui/form-modal-ui-handler.ts:32

### getMargin

- getMargin(config?): [number, number, number, number]

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns [number, number, number, number]

  Overrides FormModalUiHandler.getMargin

  - Defined in src/ui/registration-form-ui-handler.ts:21

### getModalTitle

- getModalTitle(config?): string

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns string

  Overrides FormModalUiHandler.getModalTitle

  - Defined in src/ui/registration-form-ui-handler.ts:9

### getReadableErrorMessage

- getReadableErrorMessage(error): string

- #### Parameters

  - error: string

  #### Returns string

  Overrides FormModalUiHandler.getReadableErrorMessage

  - Defined in src/ui/registration-form-ui-handler.ts:33

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from FormModalUiHandler.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from FormModalUiHandler.getUi

  - Defined in src/ui/ui-handler.ts:34

### getWidth

- getWidth(config?): number

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns number

  Overrides FormModalUiHandler.getWidth

  - Defined in src/ui/registration-form-ui-handler.ts:17

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from FormModalUiHandler.processInput

  - Defined in src/ui/form-modal-ui-handler.ts:116

### sanitizeInputs

- sanitizeInputs(): void

- #### Returns void

  Inherited from FormModalUiHandler.sanitizeInputs

  - Defined in src/ui/form-modal-ui-handler.ts:125

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from FormModalUiHandler.setCursor

  - Defined in src/ui/ui-handler.ts:46

### setup

- setup(): void

- #### Returns void

  Overrides FormModalUiHandler.setup

  - Defined in src/ui/registration-form-ui-handler.ts:50

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides FormModalUiHandler.show

  - Defined in src/ui/registration-form-ui-handler.ts:58

### updateContainer

- updateContainer(config?): void

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns void

  Inherited from FormModalUiHandler.updateContainer

  - Defined in src/ui/form-modal-ui-handler.ts:131